Delete fee settings
curl --request DELETE \
--url https://olive-gateway-a6ba.onrender.com/api/v1/fee-settings/{transaction_type}/{party_type} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/fee-settings/{transaction_type}/{party_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/fee-settings/{transaction_type}/{party_type}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){}{}{}Fees
Delete Fee Setting
Delete fee setting and revert to defaults
DELETE
/
fee-settings
/
{transaction_type}
/
{party_type}
Delete fee settings
curl --request DELETE \
--url https://olive-gateway-a6ba.onrender.com/api/v1/fee-settings/{transaction_type}/{party_type} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/fee-settings/{transaction_type}/{party_type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/fee-settings/{transaction_type}/{party_type}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text){}{}{}Delete Fee Setting
Remove custom fee setting and revert to preset defaults.Endpoint
DELETE /api/v1/fee-settings/:transaction_type/:party_type
Authentication
string
required
Bearer token (Admin JWT)
Path Parameters
string
required
Transaction type
string
required
Party type
Response
{
"success": true,
"message": "Fee settings deleted successfully. Reverted to preset defaults."
}
Errors
| Code | Description |
|---|---|
| 404 | Fee settings not found |
| 401 | Unauthorized |
| 500 | Internal server error |
⌘I